import java.awt.Color;

import javax.swing.BorderFactory;
import javax.swing.JFrame;
import javax.swing.JLabel;

import scm.sva.framework.vag.base.FramingSpec;
import scm.sva.framework.vag.base.STLayout;


public class STLayoutTest extends JFrame {
	
	private JLabel label1;
	
	public STLayoutTest(){
		initGUI();
	}
	
	private void initGUI(){
		STLayout layout = new STLayout();
		getContentPane().setLayout(layout);
		
		FramingSpec framingSpec1 = new FramingSpec();
		framingSpec1.leftEdgeAttachment = FramingSpec.XmATTACHPOSITION;
		framingSpec1.leftEdge = 10;
		framingSpec1.rightEdgeAttachment = FramingSpec.XmATTACHPOSITION;
		framingSpec1.rightEdge = 90;
		framingSpec1.topEdgeAttachment = FramingSpec.XmATTACHPOSITION;
		framingSpec1.topEdge = 7;
		framingSpec1.bottomEdgeAttachment = FramingSpec.XmATTACHPOSITION;
		framingSpec1.bottomEdge = 27;
		add(getLabel1(), framingSpec1);
		
	}
	
	private JLabel getLabel1(){
		if(label1 == null){
			label1 = new JLabel("label 1");
			label1.setBorder(BorderFactory.createLineBorder(Color.red));
		}
		
		return label1;
	}
	
	public static void main(String[] args) {
		STLayoutTest test = new STLayoutTest();
		test.setSize(800,600);
		test.setLocationRelativeTo(null);
		test.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		
		
		test.setVisible(true);
	}

}
